IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_serviciosEquipo]') AND type in (N'P', N'PC'))
BEGIN
	execute('
		CREATE PROCEDURE [dbo].[sel_serviciosEquipo] 
			@p_idEquipo int
		AS
		BEGIN
	
			SET NOCOUNT ON;

			select doc_ot.id idOT, gen_tipoServicio_tipoServicio tipoServicio, doc_estadoTipoDocumento_estadoTipoDocumento estado,
				(select top 1 desde_fh from ort_programacion where [id_documento.ot] = doc_ot.id and id_tipoProgramacion = 6 order by id desc) fechaEjecucion,
				fechaGarantia_ff fechaGarantia, cnt_contrato_contrato planMtto, documento_codigo codigoSIAB, ter_tercero_proveedor_tercero proveedor
			from view_doc_documento_ot doc_ot
				inner join view_doc_documento doc 
			on doc.id = doc_ot.id
			where 
				id_equipo = @p_idEquipo or id_equipo in (select id from equ_equipo where id_equipo = @p_idEquipo) 
		END
	')
END
